pack_fread(3)

NAME
pack_fread

SYNOPSIS
#include <allegro.h>

long pack_fread(void *p, long n, PACKFILE *f);

DESCRIPTION
Reads n bytes from the stream f, storing them at the memory location pointed to by p.

RETURN VALUE
Returns the number of bytes read, which will be less than n if EOF is reached or an error occurs. Error codes are stored in errno.

SEE ALSO
pack_fopen(3), pack_fopen_chunk(3), pack_feof(3)